Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal
Class ModelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.portal.ModelException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public abstract class ModelException

extends java.lang.Exception
implements Localized

Occurs when anything unexpected happened while using model API related functions. Root exception, should be sub-classed by specific exceptions.

Since:
  5.1
See Also:
  Serialized Form

Constructor Summary
`protected` | `ModelException()` Empty constructor
`` | `ModelException(java.lang.Throwable cause)` Initializes the exception with the reason of the exception.

Method Summary
`java.lang.String` | `getDescription(java.util.Locale aLocale)` Returns the description of this object in the given locale.
`ListModel<java.util.Locale>` | `getLocales()` Returns a list model containing the locales that are supported by this object.
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getTitle(java.util.Locale aLocale)` Returns the title of this object in the given locale.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelException

    protected ModelException()

  Empty constructor

### ModelException

    public ModelException(java.lang.Throwable cause)

  Initializes the exception with the reason of the exception.

  Parameters:
    `cause` - Root cause.

Method Detail

### getDescription

    public java.lang.String getDescription(java.util.Locale aLocale)

  Description copied from interface: `Localized`
  Returns the description of this object in the given locale.

  Specified by:
    `getDescription` in interface `Localized`
  Parameters:
    `aLocale` - the locale for which to retrieve the description, must not be `null`.
  Returns:
    the description of this node in the given locale. If a description is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism

### getLocales

    public ListModel<java.util.Locale> getLocales()

  Description copied from interface: `Localized`
  Returns a list model containing the locales that are supported by this object. The presence of a locale in this list does not mean that a title and description is available, but rather that either one or both are available in that locale.

  Specified by:
    `getLocales` in interface `Localized`
  Returns:
    a list of locales defined for this object, returns an empty `ListModel` if no locales are supported.

### getTitle

    public java.lang.String getTitle(java.util.Locale aLocale)

  Description copied from interface: `Localized`
  Returns the title of this object in the given locale.

  Specified by:
    `getTitle` in interface `Localized`
  Parameters:
    `aLocale` - the locale for which to retrieve the title, must not be `null`.
  Returns:
    the title of this node in the given locale. If a title is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism.

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD